Ogre::AndroidGLContext Class Reference

`#include <OgreAndroidGLContext.h>`

Inheritance diagram for Ogre::AndroidGLContext:
[legend]

List of all members.

## Public Member Functions

| AndroidGLContext (const AndroidGLSupport *glsupport, int handle)
virtual | ~AndroidGLContext ()
virtual void | setCurrent ()
| Enable the context.
virtual void | endCurrent ()
| This is called before another context is made current.
GLES2Context * | clone () const
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
void | setDelegate (AndroidGLContextDelegate *delegate)
AndroidGLContextDelegate * | getDelegate ()
int | getHandle () const
bool | getInitialized ()
void | setInitialized ()
virtual void | releaseContext ()
| Release the render context.

## Protected Attributes

bool | initialized

## Private Attributes

const AndroidGLSupport * | mGLSupport
int | mHandle
AndroidGLContextDelegate * | mDelegate

## Detailed Description

Definition at line 45 of file OgreAndroidGLContext.h.

## Constructor & Destructor Documentation

Ogre::AndroidGLContext::AndroidGLContext | ( | const AndroidGLSupport * | glsupport,
|  | int | handle
| ) |  |

virtual Ogre::AndroidGLContext::~AndroidGLContext | ( |  | ) | `[virtual]`

## Member Function Documentation

GLES2Context* Ogre::AndroidGLContext::clone | ( |  | ) | const`[virtual]`

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note:
  The caller is responsible for deleting the returned context.

Implements Ogre::GLES2Context.

virtual void Ogre::AndroidGLContext::endCurrent | ( |  | ) | `[virtual]`

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GLES2Context.

AndroidGLContextDelegate* Ogre::AndroidGLContext::getDelegate | ( |  | ) |

int Ogre::AndroidGLContext::getHandle | ( |  | ) | const

bool Ogre::GLES2Context::getInitialized | ( |  | ) | `[inherited]`

Definition at line 58 of file OgreGLES2Context.h.

virtual void Ogre::GLES2Context::releaseContext | ( |  | ) | `[virtual, inherited]`

Release the render context.

Definition at line 70 of file OgreGLES2Context.h.

virtual void Ogre::AndroidGLContext::setCurrent | ( |  | ) | `[virtual]`

Enable the context.

All subsequent rendering commands will go here.

Implements Ogre::GLES2Context.

void Ogre::AndroidGLContext::setDelegate | ( | AndroidGLContextDelegate * | delegate | ) |

void Ogre::GLES2Context::setInitialized | ( |  | ) | `[inherited]`

Definition at line 59 of file OgreGLES2Context.h.

## Member Data Documentation

bool Ogre::GLES2Context::initialized`[protected, inherited]`

Definition at line 73 of file OgreGLES2Context.h.

AndroidGLContextDelegate* Ogre::AndroidGLContext::mDelegate`[private]`

Definition at line 50 of file OgreAndroidGLContext.h.

const AndroidGLSupport* Ogre::AndroidGLContext::mGLSupport`[private]`

Definition at line 48 of file OgreAndroidGLContext.h.

int Ogre::AndroidGLContext::mHandle`[private]`

Definition at line 49 of file OgreAndroidGLContext.h.

The documentation for this class was generated from the following file:

- OgreAndroidGLContext.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:59